Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class TimestampSearchImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.TimestampSearchImpl

All Implemented Interfaces:
  TimestampSearch

    public class TimestampSearchImpl

extends java.lang.Object
implements TimestampSearch

Class for tracking updates on the LDAP server where persistent search control is not supported

Version:
  $Revision: 1.7 $
Author:

Constructor Summary
`TimestampSearchImpl(LDAPClientApplicationImpl app)` Creates a new instance of TimestampSearch

Method Summary
`java.lang.String` | `getContextName()` Returns the context name set for this search operation
`STCEventQueue` | `getEventQueue()` Returns the event queue associated with this search operation
`int` | `getSearchScope()` Returns the search scope set for this search operation
`void` | `reset()` Method to reset the values
`void` | `search()` Initiates a search on the LDAP server.
`void` | `setContextName(java.lang.String contextName)` Sets the context name for this search operation
`void` | `setSearchScope(int searchScope)` Sets the search scope for this search operation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimestampSearchImpl

    public TimestampSearchImpl(LDAPClientApplicationImpl app)
                        throws LDAPApplicationException

  Creates a new instance of TimestampSearch

  Parameters:
    `app` - The LDAP client application associated with this TimestampSearch instance.
  Throws:
    `LDAPApplicationException`

Method Detail

### reset

    public void reset()

  Description copied from interface: `TimestampSearch`
  Method to reset the values

  Specified by:
    `reset` in interface `TimestampSearch`

### getContextName

    public java.lang.String getContextName()
                                    throws LDAPApplicationException

  Returns the context name set for this search operation

  Specified by:
    `getContextName` in interface `TimestampSearch`
  Returns:
    the context name set for this search operation
  Throws:
    `LDAPApplicationException` - if no connection is available to the LDAP server

### setContextName

    public void setContextName(java.lang.String contextName)
                        throws LDAPApplicationException

  Sets the context name for this search operation

  Specified by:
    `setContextName` in interface `TimestampSearch`
  Parameters:
    `contextName` - the context name to be set for this search operation
  Throws:
    `LDAPApplicationException` - if no connection is available to the LDAP server

### getSearchScope

    public int getSearchScope()
                       throws LDAPApplicationException

  Returns the search scope set for this search operation

  Specified by:
    `getSearchScope` in interface `TimestampSearch`
  Returns:
    the search scope set for this search operation
  Throws:
    `LDAPApplicationException` - if no connection is available to the LDAP server

### setSearchScope

    public void setSearchScope(int searchScope)
                        throws LDAPApplicationException

  Sets the search scope for this search operation

  Specified by:
    `setSearchScope` in interface `TimestampSearch`
  Parameters:
    `searchScope` - the search scope to be set for this search operation
  Throws:
    `LDAPApplicationException` - if no connection is available to the LDAP server

### getEventQueue

    public STCEventQueue getEventQueue()
                                throws LDAPApplicationException

  Returns the event queue associated with this search operation

  Specified by:
    `getEventQueue` in interface `TimestampSearch`
  Returns:
    the event queue as a STCEventQueue object
  Throws:
    `LDAPApplicationException` - if no connection is available to the LDAP server

### search

    public void search()
                throws LDAPApplicationException

  Initiates a search on the LDAP server. This method needs to be called either from within a loop or through a scheduler at regular intervals

  Specified by:
    `search` in interface `TimestampSearch`
  Throws:
    `LDAPApplicationException` - if no connection is available to the LDAP server

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD